/* 
 * Berkeley Lab Checkpoint/Restart (BLCR) for Linux is Copyright (c)
 * 2003, The Regents of the University of California, through Lawrence
 * Berkeley National Laboratory (subject to receipt of any required
 * approvals from the U.S. Dept. of Energy).  All rights reserved.
 *
 * Portions may be copyrighted by others, as may be noted in specific
 * copyright notices within specific files.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: cr_errcodes.h,v 1.2 2003/11/14 19:55:22 phargrov Exp $
 */

/*
 * This file is included twice, once to #define the error codes, and once to
 * map the error codes to their descriptions for cr_strerror().  
 *
 * Do not put anything besides CR_ERROR_DEF() macros in this file.
 */

CR_ERROR_DEF(CR_ETEMPFAIL, "Temporary error: checkpoint cancelled")
CR_ERROR_DEF(CR_EPERMFAIL, "Permanent failure: checkpoint cancelled and job killed")


